<?php

declare(strict_types=1);

namespace KupShop\ComponentsBundle\GTM\Events;

use KupShop\ComponentsBundle\Interfaces\GTMComponentInterface;

class ProductPhotoClick extends ProductClick implements GTMComponentInterface
{
    /**
     * @param \KupShop\ComponentsBundle\Twig\Components\Product\Gallery $component
     */
    public function getPushData($component): object
    {
        $dataContainer = new \stdClass();
        $dataContainer->event = 'PhotoInteract';
        $dataContainer->ecommerce = (object) [
            'items' => '@products',
        ];

        return $dataContainer;
    }
}
